[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.DoUndockClientMsg

Notifies the DockManager of the undock of a client control; always returns True.

## Declaration

Source position: controls.pp line 1787

`protected function TWinControl.DoUndockClientMsg(`
`NewTarget: TControl;`
`Client: TControl`
`):Boolean; virtual;`

## See also

TDockManager.RemoveControl |  | Removes the undocked control from the docksite layout.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.